//定义格式化时间的函数
function formatDate(date) {
  //获取年月日
  const year = padZero(date.getFullYear());
  const month = padZero(date.getMonth() + 1);
  const day = padZero(date.getDate());
  const hour = padZero(date.getHours());
  const m = padZero(date.getMinutes());
  const s = padZero(date.getSeconds());


  return `${year}-${month}-${day} ${hour}:${m}:${s}`;
}
//定义补零
function padZero(n) {
  return n < 10 ? '0' + n : n
}
module.exports = {
  formatDate
}